package com.me.brickbuster;

import com.badlogic.gdx.ApplicationAdapter;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.GL20;
import com.me.brickbuster.entity.Ball;
import com.me.brickbuster.entity.Paddle;

public class BrickBuster extends ApplicationAdapter {

	public static final int WIDTH = 800;
	public static final int HEIGHT = 600;
	public static final String TITLE = "Brick Buster";

	Ball ball;
	Paddle paddle;

	@Override
	public void create () {
		ball = new Ball();
		paddle = new Paddle();
	}

	@Override
	public void render () {
		update(Gdx.graphics.getDeltaTime());

		Gdx.gl.glClearColor(0.5f,1,1,1);
		Gdx.gl.glClear(GL20.GL_COLOR_BUFFER_BIT);

		ball.render();
		paddle.render();
	}

	public void update(float dt) {
		ball.update(dt);
		paddle.update(dt);
	}

	@Override
	public void dispose () {

	}
}
