package com.me.brickbuster.entity;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.glutils.ShapeRenderer;
import com.me.brickbuster.BrickBuster;

public class Ball extends Entity {

	public static final int RADIUS = 25;
	public static final Color BALL_COLOR = Color.CHARTREUSE;

	public Ball() {
		super(400, 300);
	}

	@Override
	public void render() {
		getShapeRenderer().begin(ShapeRenderer.ShapeType.Filled);
		getShapeRenderer().setColor(BALL_COLOR);
		getShapeRenderer().circle(this.getX(), this.getY(), RADIUS, 50);
		getShapeRenderer().end();
	}

	@Override
	public void update(float dt) {
		if (this.getX() + RADIUS < BrickBuster.WIDTH) {
			this.setX(this.getX() + 1);
		}
	}
}
